# Class JsHintExtension

java.lang.Object
org.gradle.plugins.javascript.jshint.JsHintExtension

public class JsHintExtension extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIGURATION_NAME`
`static final String`
`DEFAULT_DEPENDENCY_GROUP`
`static final String`
`DEFAULT_DEPENDENCY_MODULE`
`static final String`
`DEFAULT_DEPENDENCY_VERSION`
`static final String`
`NAME`

## Constructor Summary

Constructors
Constructor
Description
`JsHintExtension()`

## Method Summary

Modifier and Type
Method
Description
`FileCollection`
`getJs()`
`String`
`getVersion()`
`void`
`setJs(FileCollection js)`
`void`
`setVersion(String version)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### DEFAULT_DEPENDENCY_VERSION

public static final String DEFAULT_DEPENDENCY_VERSION

See Also:
  - Constant Field Values

### DEFAULT_DEPENDENCY_GROUP

public static final String DEFAULT_DEPENDENCY_GROUP

See Also:
  - Constant Field Values

### DEFAULT_DEPENDENCY_MODULE

public static final String DEFAULT_DEPENDENCY_MODULE

See Also:
  - Constant Field Values

### CONFIGURATION_NAME

public static final String CONFIGURATION_NAME

See Also:
  - Constant Field Values

## Constructor Details

### JsHintExtension

public JsHintExtension()

## Method Details

### getVersion

public String getVersion()

### setVersion

public void setVersion(String version)

### getJs

public FileCollection getJs()

### setJs

public void setJs(FileCollection js)